<template>
  <div class="productdetail__thumb">
    <div class="title_mobile">
      <h1 class="title-product mb10">{{ product.name }}</h1>
      <div class="code">SKU: {{ product.sku }}</div>
      <div class="vote flex">
        <span>{{ rateaverage || 0 }}</span>
        <ul>
          <li
            v-for="star in 5"
            :key="star"
            :class="Math.round(rateaverage) >= star ? 'active' : ''"
          >
            <a v-if="Math.round(rateaverage) >= star" href="javascript:;">
              <svg-icon
                name="star-full"
                class="inline-block align-middle"
              ></svg-icon>
            </a>
            <a v-else href="javascript:;">
              <svg-icon
                name="star-none"
                class="inline-block align-middle"
              ></svg-icon>
            </a>
          </li>
        </ul>

        <a class="line" href="#box-vote">{{ ratetotal }} đánh giá</a>
        <a class="line" href="#box-comment">{{ meta.total }} bình luận</a>
      </div>
    </div>
    <div class="sticky">
      <div v-if="product.images.length" class="slideshow2">
        <div class="slideshow2__gallery">
          <div class="swiper-container">
            <swiper
              ref="Gallery"
              class="slideshow__gallery-wrap swiper-wrapper"
              :options="options_gallery"
            >
              <swiper-slide
                v-for="image in product.images"
                :key="image"
                class="slideshow__gallery-slide"
              >
                <span class="slide_img">
                  <img :src="baseImageUrl + image" />
                </span>
              </swiper-slide>
            </swiper>
          </div>
          <!-- Add Arrows -->
          <div class="swiper-button-next swiper-gallery-next">
            <svg-icon
              name="arrow-right"
              style="width: 28px; height: 28px;"
            ></svg-icon>
          </div>
          <div class="swiper-button-prev swiper-gallery-prev">
            <svg-icon
              name="arrow-left"
              style="width: 28px; height: 28px;"
            ></svg-icon>
          </div>
        </div>
        <div class="slideshow2__thumbs">
          <swiper
            ref="Thumbs"
            class="slideshow__thumbs-wrap swiper-wrapper swiper__thumbs"
            :options="options_thumbs"
          >
            <swiper-slide
              v-for="image in product.images"
              :key="image"
              class="slideshow__thumbs-slide"
            >
              <a class="slide_thumb" href="javascript:;">
                <img :src="resizeImage(baseImageUrl + image, 90, 60)" />
              </a>
            </swiper-slide>
          </swiper>
          <!-- Add Arrows -->
          <div class="swiper-button-next swiper-thumbs-next">
            <svg-icon
              name="arrow-right"
              style="width: 24px; height: 24px;"
            ></svg-icon>
          </div>
          <div class="swiper-button-prev swiper-thumbs-prev">
            <svg-icon
              name="arrow-left"
              style="width: 24px; height: 24px;"
            ></svg-icon>
          </div>
        </div>
      </div>
      <div v-else class="slideshow2">
        <img src="/images/placeholder/placeholder.svg" />
      </div>
    </div>
  </div>
</template>

<script>
import Helper from '../../../assets/config'

export default {
  name: 'ProductDetailThumb',
  // eslint-disable-next-line vue/require-prop-types
  props: ['product', 'rateaverage', 'ratetotal', 'meta'],
  data() {
    return {
      options_gallery: {
        speed: 700,
        thumbs: {
          swiper: {
            el: '.swiper__thumbs',
            slidesPerView: 5,
          },
        },
        navigation: {
          nextEl: '.swiper-gallery-next',
          prevEl: '.swiper-gallery-prev',
        },
      },
      options_thumbs: {
        spaceBetween: 8,
        slidesPerView: 5,
        freeMode: true,
        watchSlidesVisibility: true,
        watchSlidesProgress: true,
        speed: 500,
        navigation: {
          nextEl: '.swiper-thumbs-next',
          prevEl: '.swiper-thumbs-prev',
        },
        breakpoints: {
          480: {
            slidesPerView: 3,
            spaceBetween: 8,
          },
          991: {
            slidesPerView: 3,
            spaceBetween: 8,
          },
          1024: {
            slidesPerView: 5,
            spaceBetween: 8,
          },
        },
      },
    }
  },
  computed: {
    baseImageUrl() {
      return Helper.baseImageUrl
    },
  },
  methods: {
    resizeImage(url, width, height) {
      return Helper.resizeImage(url, width, height)
    },
  },
}
</script>

<style></style>
